### Method

# Camel BlockFile sync_block

#### Declaration [src]

    gint
    camel_block_file_sync_block (
      CamelBlockFile* bs,
      CamelBlock* bl
    )

#### Description [src]

Flush a block to disk immediately. The block will only be flushed to disk if it is marked as dirty (touched).

#### Parameters

`bl`

  Type: `CamelBlock`

  A `CamelBlock`.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

-1 on io error.